com.tibbo.aggregate.common.query

## Class DataTableWrappingUtils

- java.lang.Object
- - com.tibbo.aggregate.common.query.DataTableWrappingUtils

-     public class DataTableWrappingUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableWrappingUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `escapeColumnName(java.lang.String columnName)` SQL column names are case insensitive and their parts are separated with the separator sign So we'll escape column name by removing separator and capitalizing the character that follows the dollar sign.
    `static java.util.Map<java.lang.String,FieldDescriptor>` | `extractResultSetFields(java.sql.ResultSet rs, boolean uppercase)`
    `static java.util.Map<java.lang.String,FieldDescriptor>` | `extractResultSetFields(java.sql.ResultSet rs, SqlTablesMetadata metadata, boolean uppercase)`
    `static java.lang.String` | `generateUniqueName(java.util.Collection<FieldDescriptor> result, int i, java.lang.String colName)`
    `static Data` | `getDataValue(java.sql.ResultSet rs, int columnIndex, FieldFormat<Data> ff)`
    `static java.lang.Object` | `getFieldValue(java.sql.ResultSet rs, int columnIndex, FieldFormat ff)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTableWrappingUtils

          public DataTableWrappingUtils()

  - ### Method Detail

    - #### extractResultSetFields

          public static java.util.Map<java.lang.String,FieldDescriptor> extractResultSetFields(java.sql.ResultSet rs,
                                                                                               boolean uppercase)
                                                                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### extractResultSetFields

          public static java.util.Map<java.lang.String,FieldDescriptor> extractResultSetFields(java.sql.ResultSet rs,
                                                                                               SqlTablesMetadata metadata,
                                                                                               boolean uppercase)
                                                                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### escapeColumnName

          public static java.lang.String escapeColumnName(java.lang.String columnName)

      SQL column names are case insensitive and their parts are separated with the separator sign So we'll escape column name by removing separator and capitalizing the character that follows the dollar sign. All other chars are to be small letters.

    - #### generateUniqueName

          public static java.lang.String generateUniqueName(java.util.Collection<FieldDescriptor> result,
                                                            int i,
                                                            java.lang.String colName)
                                                     throws java.lang.IllegalStateException

      Throws:
        `java.lang.IllegalStateException`

    - #### getFieldValue

          public static java.lang.Object getFieldValue(java.sql.ResultSet rs,
                                                       int columnIndex,
                                                       FieldFormat ff)
                                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getDataValue

          public static Data getDataValue(java.sql.ResultSet rs,
                                          int columnIndex,
                                          FieldFormat<Data> ff)
                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`